'use client';
import useConfigChatStore from "@/feature/messenger/store/chat_store/useConfigChatStore";
import { useTranslation } from "@/hooks/useTranslation";
import { Badge, Button, Tooltip } from "@nextui-org/react";
import { useEffect } from "react";
import { Users } from "react-feather";

export default function CountUsersConnectBadge() {

    const agentsLogged = useConfigChatStore(state => state.agentsLogged);
    const getAgentsLogged = useConfigChatStore(state => state.actions.getAgentsLogged);
    const id_chatbot = useConfigChatStore(state => state.idChatbot);
    const countUsers = agentsLogged.length >= 99 ? '99+' : agentsLogged.length;
    const { trans } = useTranslation();

    useEffect(() => {
        if (process.env.NEXT_CHAT_ENABLE_POLLING === "true") {
            if (id_chatbot != '') {
                getAgentsLogged(id_chatbot);
            }
            const interval = setInterval(() => {
                if (id_chatbot != '') {
                    getAgentsLogged(id_chatbot);
                }
            }, parseInt(process.env.NEXT_CHAT_TIME_POLLING || "15000"));
            return () => clearInterval(interval);
        }
    }, [id_chatbot])

    return (
        <Badge content={countUsers} shape="circle" color="danger">
            <Tooltip
                    placement="top"
                    content={trans('footer_count_agent_badge_title')}	
                    color="default"
            >
            <Button
                radius="full"
                className="min-w-10 min-h-10 size-10 p-0"
                variant="solid"
                color="default"
            >
                <Users size={24} />
            </Button>
            </Tooltip>
        </Badge>
        
    )
}